<?xml version="1.0" encoding="utf-8"?>
<resources xmlns:ns1="http://schemas.android.com/apk/res-auto">
    <!-- 主题样式 -->
    <style name="AppTheme" parent="Theme.AppCompat.Light.NoActionBar">
        <item name="colorPrimary">@color/colorPrimary</item>
        <item name="colorPrimaryDark">@color/colorPrimary</item>
        <item name="colorAccent">@color/colorPrimary</item>
    </style>


    <!-- 多状态视图样式-->
    <style name="MultiStateStyle">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">match_parent</item>
        <item name="msv_loadingView">@layout/layout_state_loading</item>
        <item name="msv_emptyView">@layout/layout_state_empty</item>
        <item name="msv_errorView">@layout/layout_state_error</item>
        <item name="msv_viewState">loading</item>
    </style>

    <!-- 加载弹框样式 -->
    <style name="LightDialog" parent="@android:style/Theme.Dialog">
        <item name="android:windowFrame">@null</item>
        <item name="android:windowIsFloating">true</item>
        <item name="android:windowContentOverlay">@null</item>
        <item name="android:windowAnimationStyle">@android:style/Animation.Dialog</item>
        <item name="android:windowSoftInputMode">stateUnspecified|adjustPan
        </item>
    </style>

    <style name="LightProgressDialog" parent="@style/LightDialog">
        <item name="android:windowBackground">@android:color/transparent</item>
        <item name="android:windowNoTitle">true</item>
    </style>

    <!-- 通用列表样式-->
    <style name="commonRecyclerView">
        <item name="android:scrollbars">none</item>
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">match_parent</item>
        <item name="android:overScrollMode">never</item>
    </style>

    <!-- 搜索输入框样式-->
    <style name="SearchHeaderEtStyle">
        <item name="android:textColor">@color/common_white</item>
        <item name="android:textColorHint">@color/common_white</item>
        <item name="android:background">@drawable/home_header_corner_bg</item>
        <item name="android:paddingLeft">@dimen/common_padding</item>
        <item name="android:paddingTop">@dimen/common_padding_small</item>
        <item name="android:paddingBottom">@dimen/common_padding_small</item>
        <item name="android:layout_width">0dp</item>
        <item name="android:layout_height">match_parent</item>
        <item name="android:layout_marginTop">@dimen/common_margin_small</item>
        <item name="android:layout_marginRight">@dimen/common_margin</item>
        <item name="android:layout_marginBottom">@dimen/common_margin_small</item>
        <item name="android:drawableLeft">@mipmap/icon_search</item>
        <item name="android:drawablePadding">@dimen/common_padding_middle</item>
        <item name="android:layout_weight">1</item>
        <item name="android:textCursorDrawable">@null</item>
        <item name="android:maxLines">1</item>
    </style>
    <!-- 带搜索的Header样式 -->
    <style name="SearchHeaderStyle">
        <item name="android:gravity">center_vertical</item>
        <item name="android:orientation">horizontal</item>
        <item name="android:background">@color/common_blue</item>
        <item name="android:paddingTop">@dimen/common_padding_small</item>
        <item name="android:paddingRight">@dimen/common_padding</item>
        <item name="android:paddingBottom">@dimen/common_padding_small</item>
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">@dimen/common_header_bar_height
        </item>
    </style>
    <!-- TabLayout文字样式-->
    <style name="TabLayoutTextStyle">
        <item name="android:textSize">@dimen/text_big_size</item>
    </style>

    <!-- 横向分隔线 -->
    <style name="DividerFixedHeight">
        <item name="android:background">@color/common_divider</item>
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">@dimen/common_divider_height</item>
    </style>
    <!-- 竖向分隔线 -->
    <style name="DividerFixedWidth">
        <item name="android:background">@color/common_divider</item>
        <item name="android:layout_width">@dimen/common_divider_width</item>
        <item name="android:layout_height">match_parent</item>
    </style>
    <!-- 竖向分隔线 带上下间距 -->
    <style name="DividerFixedWidth.MarginTopBottom" parent="@style/DividerFixedWidth">
        <item name="android:layout_marginTop">@dimen/common_margin_middle</item>
        <item name="android:layout_marginBottom">@dimen/common_margin_middle</item>
    </style>
    <!-- 底部出入动画 -->
    <style name="AnimBottom" parent="@android:style/Animation">
        <item name="android:windowEnterAnimation">@anim/push_bottom_in</item>
        <item name="android:windowExitAnimation">@anim/push_bottom_out</item>
    </style>
    <!-- 自定义标签字体样式 -->
    <style name="LabelTitleTextStyle">
        <item name="android:textSize">@dimen/text_middle_size</item>
        <item name="android:textColor">@color/text_normal</item>
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">wrap_content</item>
    </style>
    <!-- 自定义标签内容字体样式 -->
    <style name="LabelContentTextStyle" parent="@style/LabelTitleTextStyle">
        <item name="android:textColor">@color/text_light_dark</item>
    </style>
    <!-- 横屏按钮样式，带不可用状态 -->
    <!-- 按钮样式-->
    <style name="FullBtnStyle">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:textColor">@color/common_white</item>
        <item name="android:background">@drawable/btn_common_selector</item>
        <item name="android:padding">@dimen/common_padding_middle</item>
        <item name="android:layout_margin">@dimen/common_margin</item>
        <item name="android:enabled">false</item>
    </style>

    <style name="bottom_tab_title_active">
        <item name="android:textColor">@color/color_283240</item>
        <item name="android:textStyle">bold</item>
        <item name="android:textSize">@dimen/sp_10</item>
    </style>

    <style name="bottom_tab_title_active_stu">
        <item name="android:textColor">@color/colorPrimary</item>
        <item name="android:textStyle">bold</item>
        <item name="android:textSize">@dimen/sp_10</item>
    </style>

    <style name="bottom_tab_title_inactive">
        <item name="android:textColor">@color/color_999999</item>
        <item name="android:textStyle">normal</item>
        <item name="android:textSize">@dimen/sp_10</item>
    </style>

    <style name="line_style">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">1dp</item>
        <item name="android:background">@color/divide_color</item>
    </style>

    <declare-styleable name="verify_EditText">
        <!-- 验证码的个数 -->
        <attr name="verify_count" format="integer"/>
        <!--        TextView 的宽度-->
        <attr name="verify_width" format="dimension"/>
        <!--        TextView 的高度-->
        <attr name="verify_height" format="dimension"/>
        <!--        TextView 的间隔-->
        <attr name="verify_margin" format="dimension"/>
        <!--        TextView 的字体大小-->
        <attr name="verify_textSize" format="dimension"/>
        <!--        TextView 的字体颜色-->
        <attr name="verify_textColor" format="color"/>
        <!-- TextView 无值背景 -->
        <attr name="verify_background_normal" format="reference"/>
        <!-- TextView 有值背景 -->
        <attr name="verify_background_selected" format="reference"/>
        <!--        是否隐藏密码-->
        <attr name="verify_password" format="boolean"/>
        <!--        密码显示时间ms-->
        <attr name="verify_password_visible_time" format="integer"/>
        <!--        editText的输入类型 -->
        <attr name="verify_inputType">
            <flag name="none" value="0x00000000" />
            <flag name="text" value="0x00000001" />
            <flag name="textCapCharacters" value="0x00001001" />
            <flag name="textCapWords" value="0x00002001" />
            <flag name="textCapSentences" value="0x00004001" />
            <flag name="textAutoCorrect" value="0x00008001" />
            <flag name="textAutoComplete" value="0x00010001" />
            <flag name="textMultiLine" value="0x00020001" />
            <flag name="textImeMultiLine" value="0x00040001" />
            <flag name="textNoSuggestions" value="0x00080001" />
            <flag name="textUri" value="0x00000011" />
            <flag name="textEmailAddress" value="0x00000021" />
            <flag name="textEmailSubject" value="0x00000031" />
            <flag name="textShortMessage" value="0x00000041" />
            <flag name="textLongMessage" value="0x00000051" />
            <flag name="textPersonName" value="0x00000061" />
            <flag name="textPostalAddress" value="0x00000071" />
            <flag name="textPassword" value="0x00000081" />
            <flag name="textVisiblePassword" value="0x00000091" />
            <flag name="textWebEditText" value="0x000000a1" />
            <flag name="textFilter" value="0x000000b1" />
            <flag name="textPhonetic" value="0x000000c1" />
            <flag name="textWebEmailAddress" value="0x000000d1" />
            <flag name="textWebPassword" value="0x000000e1" />
            <flag name="number" value="0x00000002" />
            <flag name="numberSigned" value="0x00001002" />
            <flag name="numberDecimal" value="0x00002002" />
            <flag name="numberPassword" value="0x00000012" />
            <flag name="phone" value="0x00000003" />
            <flag name="datetime" value="0x00000004" />
            <flag name="date" value="0x00000014" />
            <flag name="time" value="0x00000024" />
        </attr>
    </declare-styleable>

    <style name="AppBarTheme" parent="Theme.AppCompat.Light.DarkActionBar">
        <item name="actionDropDownStyle">@style/AppBaseToolBarMenuDropDownStyle</item>
        <item name="actionOverflowMenuStyle">@style/AppBaseToolbarOverflowMenuStyle</item>
        <item name="android:textColor">@color/common_black</item>
    </style>

    <style name="AppBaseToolBarMenuDropDownStyle" parent="@style/Widget.AppCompat.Light.DropDownItem.Spinner">
        <item name="overlapAnchor">false</item>
        <item name="android:popupBackground">@drawable/border_grey_rect</item>
    </style>

    <style name="AppBaseToolbarOverflowMenuStyle" parent="@style/Widget.AppCompat.Light.PopupMenu.Overflow">
        <item name="overlapAnchor">false</item>  <!--设置不覆盖锚点-->
        <item name="android:popupBackground">@drawable/border_grey_rect</item>
        <item name="android:textColorPrimary">@color/white</item>
        <item name="android:dropDownHorizontalOffset">0dip</item>
        <item name="android:dropDownVerticalOffset">4dip</item>
    </style>

    <style name="TopAnimation" parent="android:Animation">
        <item name="android:windowEnterAnimation">@anim/top_enter_anim</item>
        <item name="android:windowExitAnimation">@anim/top_exit_anim</item>
    </style>

    <style name="DialogStyle" parent="@android:style/Theme.Dialog">
        <!-- 背景透明 -->
        <item name="android:windowBackground">@android:color/transparent</item>
        <item name="android:windowContentOverlay">@null</item>
        <!-- 浮于Activity之上 -->
        <item name="android:windowIsFloating">true</item>
        <!-- 边框 -->
        <item name="android:windowFrame">@null</item>
        <!-- Dialog以外的区域模糊效果 -->
        <item name="android:backgroundDimEnabled">true</item>
        <!-- 无标题 -->
        <item name="android:windowNoTitle">true</item>
        <!-- 半透明 -->
        <item name="android:windowIsTranslucent">true</item>
    </style>

    <style name="BaseDialog" parent="Theme.AppCompat.Light.Dialog">
        <item name="android:windowNoTitle">true</item>
        <item name="android:windowBackground">@android:color/transparent</item>
        <item name="android:colorBackgroundCacheHint">@null</item>
        <item name="android:windowSoftInputMode">adjustPan</item>
        <item name="android:windowIsFloating">true</item>
        <item name="android:windowContentOverlay">@null</item>
    </style>


    <style name="BottomAnimation" parent="android:Animation">
        <item name="android:windowEnterAnimation">@anim/bottom_enter_anim</item>
        <item name="android:windowExitAnimation">@anim/bottom_exit_anim</item>
    </style>

    <style name="RightAnimation" parent="android:Animation">
        <item name="android:windowEnterAnimation">@anim/right_enter_anim</item>
        <item name="android:windowExitAnimation">@anim/right_exit_anim</item>
    </style>

    <style name="LeftAnimation" parent="android:Animation">
        <item name="android:windowEnterAnimation">@anim/left_enter_anim</item>
        <item name="android:windowExitAnimation">@anim/left_exit_anim</item>
    </style>

    <style name="my_emoji_fade_animation_style" ns1:ignore="UnusedResources">
        <item name="android:windowEnterAnimation">@android:anim/fade_in</item>
        <item name="android:windowExitAnimation">@android:anim/fade_out</item>
    </style>


    <style name="picture.daya.style" parent="AppTheme">
        <!-- Customize your theme here. -->
        <!--标题栏背景色-->
        <item name="colorPrimary">@color/colorPrimary</item>
        <!--状态栏背景色-->
        <item name="colorPrimaryDark">@color/colorPrimary</item>
        <!--是否改变图片列表界面状态栏字体颜色为黑色-->
        <item name="picture.statusFontColor">false</item>
        <!--返回键图标-->
        <item name="picture.leftBack.icon">@drawable/icon_back_arrow_white</item>
        <!--标题下拉箭头-->
        <item name="picture.arrow_down.icon">@drawable/picture_icon_arrow_down</item>
        <!--标题上拉箭头-->
        <item name="picture.arrow_up.icon">@drawable/picture_icon_arrow_up</item>
        <!--标题文字颜色-->
        <item name="picture.title.textColor">@color/white</item>
        <!--标题栏右边文字-->
        <item name="picture.right.textColor">@color/white</item>
        <!--图片列表勾选样式-->
        <item name="picture.checked.style">@drawable/checkbox_selector</item>
        <!--开启图片列表勾选数字模式-->
        <item name="picture.style.checkNumMode">false</item>
        <!--选择图片样式0/9-->
        <item name="picture.style.numComplete">false</item>
        <!--图片列表底部背景色-->
        <item name="picture.bottom.bg">@color/colorPrimary</item>
        <!--图片列表预览文字颜色-->
        <item name="picture.preview.textColor">@color/white</item>
        <!--图片列表已完成文字颜色-->
        <item name="picture.complete.textColor">@color/white</item>
        <!--图片已选数量圆点背景色-->
        <item name="picture.num.style">@drawable/picture_num_oval</item>
        <!--预览界面标题文字颜色-->
        <item name="picture.ac_preview.title.textColor">@color/white</item>
        <!--预览界面已完成文字颜色-->
        <item name="picture.ac_preview.complete.textColor">@color/white</item>
        <!--预览界面标题栏背景色-->
        <item name="picture.ac_preview.title.bg">@color/colorPrimary</item>
        <!--预览界面底部背景色-->
        <item name="picture.ac_preview.bottom.bg">@color/colorPrimary</item>
        <!--预览界面返回箭头-->
        <item name="picture.preview.leftBack.icon">@drawable/picture_icon_back</item>
        <!--是否改变预览界面状态栏字体颜色为黑色-->
        <!--<item name="picture.preview.statusFontColor">false</item>-->
        <!--裁剪页面标题背景色-->
        <item name="picture.crop.toolbar.bg">@color/colorPrimary</item>
        <!--裁剪页面状态栏颜色-->
        <item name="picture.crop.status.color">@color/colorPrimary</item>
        <!--裁剪页面标题文字颜色-->
        <item name="picture.crop.title.color">@color/white</item>
        <!--相册文件夹列表选中图标-->
        <item name="picture.folder_checked_dot">@drawable/picture_orange_oval</item>
    </style>

    <style name="me_btn_style">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:drawableRight">@drawable/icon_arrow_right2</item>
        <item name="android:drawablePadding">5dp</item>
        <item name="android:gravity">center_vertical</item>
        <item name="android:paddingLeft">10dp</item>
        <item name="android:paddingTop">10dp</item>
        <item name="android:paddingRight">12dp</item>
        <item name="android:paddingBottom">10dp</item>
        <item name="android:textColor">@color/color_1a1a1a</item>
        <item name="android:textSize">@dimen/sp_16</item>
    </style>

    <style name="InputBar_Dialog_Style" parent="android:Theme.Dialog">
        <item name="android:windowBackground">@android:color/transparent</item>
        <item name="android:windowNoTitle">true</item>
        <item name="android:windowFullscreen">true</item>
        <item name="android:windowFrame">@null</item><!--边框-->
        <item name="android:windowIsFloating">true</item>
        <item name="android:windowIsTranslucent">false</item><!--半透明-->
        <item name="android:backgroundDimEnabled">false</item><!--模糊-->
    </style>

    <declare-styleable name="RatingBar">
        <!--尺寸值-->
        <attr name="starImageSize" format="dimension" />
        <!--星星间距-->
        <attr name="starPadding" format="dimension" />
        <!--星星总数-->
        <attr name="starCount" format="integer" />
        <!--空白的星星资源文件值-->
        <attr name="starEmpty" format="reference" />
        <!--满星资源文件值-->
        <attr name="starFill" format="reference" />
        <!--半星资源文件值-->
        <attr name="starHalf" format="reference" />
        <!--是否可点击boolean值-->
        <attr name="clickable" format="boolean" />
        <!--当前进度float值-->
        <attr name="starStep" format="float" />
        <!--每次进度方式的值，整星还是半星-->
        <attr name="stepSize">
            <enum name="Half" value="0" />
            <enum name="Full" value="1" />
        </attr>
    </declare-styleable>

    <declare-styleable name="RoundProgressBar">
        <attr name="max" format="integer"></attr>
        <attr name="startAngle" format="integer"></attr>
        <attr name="roundColor" format="color" />
        <attr name="roundProgressColor" format="color" />
        <attr name="roundWidth" format="dimension"></attr>
        <attr name="backColor" format="color" />
        <attr name="textColor" format="color" />
        <attr name="textSize" format="dimension" />
        <attr name="textIsDisplayable" format="boolean"></attr>
        <attr name="style">
            <enum name="STROKE" value="0"></enum>
            <enum name="FILL" value="1"></enum>
        </attr>
    </declare-styleable>

    <style name="SpinKitView">
        <item name="android:indeterminateOnly">true</item>
        <item name="android:minWidth">48dip</item>
        <item name="android:maxWidth">48dip</item>
        <item name="android:minHeight">48dip</item>
        <item name="android:maxHeight">48dip</item>
    </style>


    <style name="SpinKitView.Circle">
        <item name="SpinKit_Style">Circle</item>
    </style>

    <style name="SpinKitView.FadingCircle">
        <item name="SpinKit_Style">FadingCircle</item>
    </style>


    <style name="SpinKitView.ThreeBounce">
        <item name="SpinKit_Style">ThreeBounce</item>
    </style>

    <style name="SpinKitView.Large">
        <item name="android:minWidth">76dip</item>
        <item name="android:maxWidth">76dip</item>
        <item name="android:minHeight">76dip</item>
        <item name="android:maxHeight">76dip</item>
    </style>


    <style name="SpinKitView.Large.Circle">
        <item name="SpinKit_Style">Circle</item>
    </style>


    <style name="SpinKitView.Large.FadingCircle">
        <item name="SpinKit_Style">FadingCircle</item>
    </style>


    <style name="SpinKitView.Large.ThreeBounce">
        <item name="SpinKit_Style">ThreeBounce</item>
    </style>


    <style name="SpinKitView.Small">
        <item name="android:minWidth">16dip</item>
        <item name="android:maxWidth">16dip</item>
        <item name="android:minHeight">16dip</item>
        <item name="android:maxHeight">16dip</item>
    </style>


    <style name="SpinKitView.Small.Circle">
        <item name="SpinKit_Style">Circle</item>
    </style>


    <style name="SpinKitView.Small.FadingCircle">
        <item name="SpinKit_Style">FadingCircle</item>
    </style>


    <style name="SpinKitView.Small.ThreeBounce">
        <item name="SpinKit_Style">ThreeBounce</item>
    </style>

    <attr name="SpinKitViewStyle" format="reference" />

    <declare-styleable name="SpinKitView">

        <attr name="SpinKit_Style">
            <enum name="Circle" value="0" />
            <enum name="FadingCircle" value="1" />
            <enum name="ThreeBounce" value="2" />

        </attr>
        <attr name="SpinKit_Color" format="color" />
    </declare-styleable>
</resources>
